<template>
  <div class="buttonComDiv">
    <div v-if="isWebClick" class="blueButDiv"  :style="buttonStyle"  :disabled="disabled">
     {{ title }}
    </div>
    <div v-else class="blueButDiv" v-lz-click="'12'" :style="buttonStyle" @click="btnClick()" :disabled="disabled">
      <button :style="button" :disabled="disabled">{{ title }}</button>
    </div>
  </div>
</template>

<script>

export default {
  props: ['buttonStyle','button', 'title','disabled',"isWebClick", "modifyContent"],
  data() {
    return {
    };
  },
  // 父beforeCreated ->父created ->父beforeMounted ->子beforeCreated ->子created ->子beforeMounted ->子mounted -> 父mounted
  mounted() {
  },
  methods: {
    //按钮点击
    btnClick() {
      this.$emit('btnClick');
    }
  }
};
</script>

<style lang="scss"></style>
